2021-0603 | Google Android ContactSelectionActivity.java onCreate improper restriction of rendered ui layers (A-182809425)


CVSS Meta Temp Score

CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.

Current Exploit Price (≈)

Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.

CTI Interest Score

Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.

6.0 $5k-$25k 0.81

A vulnerability, which was classified as critical, has been found in Google Android 11.0 (Smartphone Operating System). This issue affects the function onCreate of the file ContactSelectionActivity.java. The manipulation with an unknown input leads to a privilege escalation vulnerability. Using CWE to declare the problem leads to CWE-269. Impacted is confidentiality, integrity, and availability. The summary by CVE is:

In onCreate of ContactSelectionActivity.java, there is a possible way to get access to contacts without permission due to a tapjacking/overlay attack. This could lead to local escalation of privilege with User execution privileges needed. User interaction is needed for exploitation.Product: AndroidVersions: Android-11Android ID: A-182809425

The weakness was published 07/15/2021 as A-182809425. It is possible to read the advisory at source.android.com. The identification of this vulnerability is CVE-2021-0603 since 11/06/2020. The exploitation is known to be easy. Attacking locally is a requirement. The requirement for exploitation is a simple authentication. It demands that the victim is doing some kind of user interaction. Technical details of the vulnerability are known, but there is no available exploit. The pricing for an exploit might be around USD $5k-$25k at the moment (estimation calculated on 07/19/2021). It is expected to see the exploit prices for this product increasing in the near future.

Applying a patch is able to eliminate this problem.

Type

Vendor

Name

VulDB Meta Base Score: 6.3
VulDB Meta Temp Score: 6.0

VulDB Base Score: 4.8
VulDB Temp Score: 4.6
VulDB Vector: 🔒
VulDB Reliability: 🔍

NVD Base Score: 7.8
NVD Vector: 🔒

AV AC Au C I A
🔍 🔍 🔍 🔍 🔍 🔍
🔍 🔍 🔍 🔍 🔍 🔍
🔍 🔍 🔍 🔍 🔍 🔍
Vector Complexity Authentication Confidentiality Integrity Availability
unlock unlock unlock unlock unlock unlock
unlock unlock unlock unlock unlock unlock
unlock unlock unlock unlock unlock unlock


VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

NVD Base Score: 🔒

Class: Privilege escalation
CWE: CWE-1021
ATT&CK: Unknown

Local: Yes
Remote: No

Availability: 🔒
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔒


0-Day unlock unlock unlock unlock
Today unlock unlock unlock unlock

Threat Intelligenceinfoedit

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍Recommended: Patch
Status: 🔍

0-Day Time: 🔒

Patch: source.android.com

11/06/2020 CVE assigned
07/15/2021 +250 days Advisory disclosed
07/15/2021 +0 days VulDB entry created
07/19/2021 +3 days VulDB last updateVendor: https://www.google.com/

Advisory: A-182809425
Status: Confirmed

CVE: CVE-2021-0603 (🔒)
scip Labs: https://www.scip.ch/en/?labs.20150917

Created: 07/15/2021 11:28
Updated: 07/19/2021 00:40
Changes: (18) vulnerability_cvss3_nvd_av vulnerability_cvss3_nvd_ac vulnerability_cvss3_nvd_pr vulnerability_cvss3_nvd_ui vulnerability_cvss3_nvd_s vulnerability_cvss3_nvd_c vulnerability_cvss3_nvd_i vulnerability_cvss3_nvd_a vulnerability_cvss2_nvd_av vulnerability_cvss2_nvd_ac vulnerability_cvss2_nvd_au vulnerability_cvss2_nvd_ci vulnerability_cvss2_nvd_ii vulnerability_cvss2_nvd_ai vulnerability_cvss3_meta_basescore vulnerability_cvss3_meta_tempscore vulnerability_cvss2_nvd_basescore vulnerability_cvss3_nvd_basescore
Complete: 🔍

Comments

No comments yet. Please log in to comment.

Check our Alexa App!



Source link